develooper Front page | perl.perl6.users | Postings from April 2019

Help! Upgrade broke -M

Thread Next
From:
ToddAndMargo via perl6-users
Date:
April 24, 2019 02:27
Subject:
Help! Upgrade broke -M
Message ID:
4f7c86a7-edf3-831f-6152-b5fe88933f2d@zoho.com
Hi All,

Okay, I am, in trouble.  I just upgraded from
     rakudo-pkg-Fedora29-2018.11-01.x86_64.rpm
to
     rakudo-pkg-Fedora29-2019.03.1-01.x86_64.rpm
and now I bomb on all my "use lib's".

Virtually everything I have written bombs.


     $ ls CurlUtils*
     CurlUtils.pm6

    $ perl6 -M./CurlUtils -e 'say "x";'
    ===SORRY!===
    Could not find ./CurlUtils at line 1 in:
       inst#/home/tony/.perl6
       inst#/opt/rakudo-pkg/share/perl6/site
       inst#/opt/rakudo-pkg/share/perl6/vendor
       inst#/opt/rakudo-pkg/share/perl6
       ap#
       nqp#
       perl5#

    $ GetUpdates.pl6
    ===SORRY!===
    Could not find CurlUtils at line 6 in:
        file#/home/linuxutil
        inst#/home/tony/.perl6
        inst#/opt/rakudo-pkg/share/perl6/site
        inst#/opt/rakudo-pkg/share/perl6/vendor
        inst#/opt/rakudo-pkg/share/perl6
        ap#
        nqp#
        perl5#

5: use lib '/home/linuxutil';
6: use CurlUtils;


And it is not just CurlUtils.pm6.  It is every pm6 I
have in /home/linuxutil

-T

Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About